# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "orca-tui"
version = "0.2.2"
authors = ["Sharang <sharang@meghsakha.com>"]
build = "build.rs"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Terminal UI dashboard for orca cluster management"
readme = false
license = "AGPL-3.0"
repository = "https://github.com/mighty840/orca"
resolver = "2"

[lib]
name = "orca_tui"
path = "src/lib.rs"

[dependencies.anyhow]
version = "1"

[dependencies.crossterm]
version = "0.28"

[dependencies.orca-core]
version = "0.2.2"

[dependencies.ratatui]
version = "0.29"

[dependencies.reqwest]
version = "0.12"
features = ["json"]

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.tokio]
version = "1"
features = ["full"]
